## org.hibernate.ejb.instrument
Class InterceptFieldClassFileTransformer

    java.lang.Object
      org.hibernate.ejb.instrument.InterceptFieldClassFileTransformer

All Implemented Interfaces:
  ClassTransformer

    public class InterceptFieldClassFileTransformer

extends Object
implements ClassTransformer

Enhance the classes allowing them to implements InterceptFieldEnabled This interface is then used by Hibernate for some optimizations.

Author:
  Emmanuel Bernard

Constructor Summary
`InterceptFieldClassFileTransformer(List<String> entities)`

Method Summary
`byte[]` `transform(ClassLoader loader, String className, Class<?> classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptFieldClassFileTransformer

    public InterceptFieldClassFileTransformer(List<String> entities)

Method Detail

### transform

    public byte[] transform(ClassLoader loader,
                            String className,
                            Class<?> classBeingRedefined,
                            ProtectionDomain protectionDomain,
                            byte[] classfileBuffer)
                     throws IllegalClassFormatException

  Specified by:
    `transform` in interface `ClassTransformer`
  Throws:
    `IllegalClassFormatException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.